# Spot

### Public API <a href="#public-api" id="public-api"></a>

Security: None​

Endpoints under Public section can be accessed freely without requiring any API-key or signatures.

#### 1) Test Connectivity <a href="#id-1-test-connectivity" id="id-1-test-connectivity"></a>

URL: <https://openapi.nomoex.com/sapi/v1/ping>

Method: Get

#### 2) Check Server Time <a href="#id-2-check-server-time" id="id-2-check-server-time"></a>

URL: <https://openapi.nomoexcom/sapi/v1/time>

Method: Get

#### 3) Pairs List <a href="#id-3-pairs-list" id="id-3-pairs-list"></a>

URL: <https://openapi.nomoex.com/sapi/v1/symbols>

Method: Get

Response:

| name              | type    | example | description                     |
| ----------------- | ------- | ------- | ------------------------------- |
| symbol            | string  | BTCUSDT | Name of the symbol              |
| baseAsset         | string  | BTC     | Underlying asset for the symbol |
| quoteAsset        | string  | USDT    | Quote asset for the symbol      |
| pricePrecision    | integer | 2       | Precision of the price          |
| QuantityPrecision | integer | 6       | Precision of the quantity       |

**MarketSecurity Type: None​Market** section can be accessed freely without requiring any API-key or signatures.

### Market <a href="#market" id="market"></a>

**Security Type: None​**

**Market** section can be accessed freely without requiring any API-key or signatures.

#### 1) Market Depth <a href="#id-1-market-depth" id="id-1-market-depth"></a>

URL: [*https://openapi.nomoex.com/sapi/v1/depth* ](https://openapi.nomoex.com/sapi/v1/depth)

Method: Get

**Response:**

| name | type | example         | description                                                     |
| ---- | ---- | --------------- | --------------------------------------------------------------- |
| time | long | `1595563624731` | Current timestamp (ms)                                          |
| bids | list | ;               | List of all bids, best bids first. See below for entry details. |
| asks | list | ;               | List of all asks, best asks first. See below for entry details. |

The fields bids and asks are lists of order book price level entries, sorted from best to worst.

| name | type  | example | description                                       |
| ---- | ----- | ------- | ------------------------------------------------- |
| ' '  | float | 131.1   | price level                                       |
| ' '  | flot  | 2.3     | The total quantity of orders for this price level |

#### 2) 24 hrs ticker <a href="#id-2-24-hrs-ticker" id="id-2-24-hrs-ticker"></a>

URL: [https://openapi.nomoex.com/sapi/v1/ticker](https://openapi.koinbay.com/sapi/v1/ticker)

Method: Get

**Response:**

| name | type  | example         | description  |
| ---- | ----- | --------------- | ------------ |
| time | long  | `1595563624731` | Open Time    |
| high | float | `9900`          | High Price   |
| low  | float | `8800.34`       | Low Price    |
| last | float | `8900`          | Last Price   |
| vol  | float | `4999`          | Tarde Volume |

#### 3) Recent Trades List <a href="#id-3-recent-trades-list" id="id-3-recent-trades-list"></a>

URL: [https://openapi.nomoexcom/sapi/v1/trades](#public-api)&#x20;

Method: Get

**Response**

| name              | type    | example | description                     |
| ----------------- | ------- | ------- | ------------------------------- |
| symbol            | string  | BTCUSDT | Name of the symbol              |
| baseAsset         | string  | BTC     | Underlying asset for the symbol |
| quoteAsset        | string  | USDT    | Quote asset for the symbol      |
| pricePrecision    | integer | 2       | Precision of the price          |
| QuantityPrecision | integer | 6       | Precision of the quantity       |

#### 4) Kline/candlestick data <a href="#id-4-kline-candlestick-data" id="id-4-kline-candlestick-data"></a>

URL: [https://openapi.nomoex.com/sapi/v1/klines](#public-api)

Method: Get

**Response**

<table><thead><tr><th width="187">name</th><th>type</th><th>example</th><th>description</th></tr></thead><tbody><tr><td>idx</td><td>long</td><td>1538728740000</td><td>Open time</td></tr><tr><td>open</td><td>float</td><td>36.00000</td><td>open price</td></tr><tr><td>close</td><td>float</td><td>33.00000</td><td>close price</td></tr><tr><td>high</td><td>float</td><td>36.00000</td><td>high price</td></tr><tr><td>low</td><td>float</td><td>30.00000</td><td>low price</td></tr><tr><td>vol</td><td>float</td><td>2456.111</td><td>volume</td></tr><tr><td></td><td></td><td></td><td></td></tr></tbody></table>

### Trade <a href="#trade" id="trade"></a>

**Security Type: TRADE​**

Endpoints under **Trade** require an API-key and a signature.​

#### 1) New Order <a href="#id-1-new-order" id="id-1-new-order"></a>

URL: [https://openapi.nomoex.com/sapi/v1/order](https://openapi.koinbay.com/sapi/v1/order)

Method: Post

Rate Limit: 100times/2s

Parameters

Header

| Particulars | Type    | Description  | Requirement |
| ----------- | ------- | ------------ | ----------- |
| X-CH-SIGN   | string  | Sign         | Optional    |
| X-CH-APIKEY | string  | Your API-key | Optional    |
| X-CH-TS     | integer | timestamp    | Optional    |

Body

| Particulars | Type   | Description                                   | Requirement |
| ----------- | ------ | --------------------------------------------- | ----------- |
| symbol      | string | Symbol Name. E.g. `BTCUSDT`                   | Optional    |
| volume      | number | Order vol. For MARKET BUY orders, vol=amount. |             |
|             |        |                                               |             |

Success Response:

200:OK

Copy

```
{
    'symbol': 'LXTUSDT', 
    'orderId': '150695552109032492', 
    'clientOrderId': '157371322565051',
    'transactTime': '1573713225668', 
    'price': '0.005452', 
    'origQty': '110', 
    'executedQty': '0', 
    'status': 'NEW',
    'type': 'LIMIT', 
    'side': 'SELL'
}
```

| name          | type    | example            |                                                                                                        |
| ------------- | ------- | ------------------ | ------------------------------------------------------------------------------------------------------ |
| orderId       | long    | 150695552109032492 | ID of the order                                                                                        |
| clientOrderId | string  | 213443             | A unique ID of the order.                                                                              |
| symbol        | string  | BTCUSDT            | Symbol Name                                                                                            |
| transactTime  | integer | 1273774892913      | Time the order is placed                                                                               |
| price         | float   | 4765.29            | Price of the order                                                                                     |
| origQty       | float   | 1.01               | Quantity ordered                                                                                       |
| executedQty   | float   | 1.01               | Quantity of orders that has been executed                                                              |
| type          | string  | LIMIT              | Order type LIMIT,MARKET                                                                                |
| side          | string  | BUY                | Order side：BUY, SELL                                                                                   |
| status        | string  | NEW                | The state of the order.Possible values include NEW, PARTIALLY\_FILLED, FILLED, CANCELED, and REJECTED. |

#### 2) Test New Order <a href="#id-2-test-new-order" id="id-2-test-new-order"></a>

Test new order creation and signature/recvWindow length. Creates and validates a new order but does not send the order into the matching engine.

URL: [https://openapi.nomoex.com/sapi/v1/order/test](https://openapi.koinbay.com/sapi/v1/order/test)

Method: Post

Parameters:

Header

| Particulars | Type    | Description  | Requirement |
| ----------- | ------- | ------------ | ----------- |
| X-CH-SIGN   | string  | Sign         | Optional    |
| X-CH-APIKEY | string  | Your API-key | Optional    |
| X-CH-TS     | integer | timestamp    | Optional    |

Body

| Particulars      | Type    | Description                                             | Requirement |
| ---------------- | ------- | ------------------------------------------------------- | ----------- |
| recWindow        | integer | Time window                                             | Optional    |
| symbol           | string  | Symbol Name. E.g. `BTCUSDT`                             | Optional    |
| volume           | number  | Order vol. For MARKET BUY orders, vol=amount.           | Optional    |
| side             | string  | Side of the order, `BUY/SELL`                           | Optional    |
| type             | string  | Type of the order, `LIMIT/MARKET`                       | Optional    |
| price            | number  | Order price, REQUIRED for `LIMIT` orders                | Optional    |
| newClientOrderId | string  | Unique order ID generated by users to mark their orders | Optional    |

Success Response:

{}

#### 3) Batch Orders <a href="#id-3-batch-orders" id="id-3-batch-orders"></a>

URL: [https://openapi.nomoex.com/sapi/v1/batchOrders](https://openapi.koinbay.com/sapi/v1/batchOrders)

Method: Get

Parameters

Header:

| Particulars | Type    | Description  | Requirement |
| ----------- | ------- | ------------ | ----------- |
| X-CH-SIGN   | string  | Sign         | Optional    |
| X-CH-APIKEY | string  | Your API-key | Optional    |
| X-CH-TS     | integer | timestamp    | Optional    |

Body:

| Particulars | Type   | Description                 | Requirement |
| ----------- | ------ | --------------------------- | ----------- |
| orders      | array  | Batch order param           | Optional    |
| symbol      | string | Symbol Name. E.g. `BTCUSDT` | Optional    |

Success Response: 200:OK

Copy

```
{
    "ids": [
        165964665990709251,
        165964665990709252,
        165964665990709253
    ]
}
```

Request orders field:

| name      | type   | example      |                        |
| --------- | ------ | ------------ | ---------------------- |
| price     | float  | 1000         | Price of the order     |
| volume    | float  | 20.1         | Vol of the order       |
| side      | string | BUY/SELL     | Side of the order      |
| batchType | string | LIMIT/MARKET | atch type of the order |

#### 4) Query Order <a href="#id-4-query-order" id="id-4-query-order"></a>

URL: [https://openapi.nomoex.com/sapi/v1/order](https://openapi.koinbay.com/sapi/v1/order)

Method: Get

Rate Limit:20 times/2s

Parameters:

Header:

| Particulars | Type    | Description  | Requirement |
| ----------- | ------- | ------------ | ----------- |
| X-CH-SIGN   | string  | Sign         | Optional    |
| X-CH-APIKEY | string  | Your API-key | Optional    |
| X-CH-TS     | integer | timestamp    | Optional    |

Query

| Particulars      | Type   | Description                                                                                 | Requirement |
| ---------------- | ------ | ------------------------------------------------------------------------------------------- | ----------- |
| orderId          | string | Order ID                                                                                    | Optional    |
| newClientOrderId | string | Client Order Id, Unique order ID generated by users to mark their orders. E.g. 1234MID54231 | Optional    |
| symbol           | string | Symbol Name. E.g. `BTCUSDT`                                                                 | Optional    |

Success Responses: 200:OK

Copy

```
{
    'orderId': '499890200602846976', 
    'clientOrderId': '157432755564968', 
    'symbol': 'BHTUSDT', 
    'price': '0.01', 
    'origQty': '50', 
    'executedQty': '0', 
    'avgPrice': '0', 
    'status': 'NEW', 
    'type': 'LIMIT', 
    'side': 'BUY', 
    'transactTime': '1574327555669'
}
```

| name          | type   | example            |                                                                                                        |
| ------------- | ------ | ------------------ | ------------------------------------------------------------------------------------------------------ |
| orderId       | long   | 150695552109032492 | ID of the order                                                                                        |
| clientOrderId | string | 213443             | Unique ID of the order.                                                                                |
| symbol        | string | BTCUSDT            | Name of the symbol                                                                                     |
| price         | float  | 4765.29            | Price of the order                                                                                     |
| origQty       | float  | 1.01               | Quantity ordered                                                                                       |
| executedQty   | float  | 1.01               | Quantity of orders that has been executed                                                              |
| avgPrice      | float  | 4754.24            | Average price of filled orders.                                                                        |
| type          | string | LIMIT              | The order typeLIMIT,MARKET                                                                             |
| side          | string | BUY                | The order sideBUY,SELL                                                                                 |
| status        | string | NEW                | The state of the order.Possible values include NEW, PARTIALLY\_FILLED, FILLED, CANCELED, and REJECTED. |

#### 5) Cancel Order <a href="#id-5-cancel-order" id="id-5-cancel-order"></a>

URL: [https://openapi.nomoex.com/sapi/v1/cancel](https://openapi.koinbay.com/sapi/v1/cancel)

Rate Limit: 100time/2s

**Method: Post**

**Parameters:**

**Header:**

| Particulars | Type    | Description  | Requirement |
| ----------- | ------- | ------------ | ----------- |
| X-CH-SIGN   | string  | Sign         | Optional    |
| X-CH-APIKEY | string  | Your API-key | Optional    |
| X-CH-TS     | integer | timestamp    | Optional    |

**Body:**

| Particulars      | Type   | Description                                                                                      | Requirement |
| ---------------- | ------ | ------------------------------------------------------------------------------------------------ | ----------- |
| orderId          | string | Order ID                                                                                         | Optional    |
| newClientOrderId | string | Client Order Id, Unique order ID generated by users to mark their orders. E.g. 354444heihieddada | Optional    |
| symbol           | string | Symbol Name. E.g. `BTCUSDT`                                                                      | Optional    |

Success Response: 200:OK

Copy

```
{
    'symbol': 'BHTUSDT', 
    'clientOrderId': '0', 
    'orderId': '499890200602846976', 
    'status': 'CANCELED'
}
```

| name          | type   | example            |                                                                                                        |
| ------------- | ------ | ------------------ | ------------------------------------------------------------------------------------------------------ |
| orderId       | long   | 150695552109032492 | ID of the order                                                                                        |
| clientOrderId | string | 213443             | Unique ID of the order.                                                                                |
| symbol        | string | BHTUSDT            | Name of the symbol                                                                                     |
| status        | string | NEW                | The state of the order.Possible values include NEW, PARTIALLY\_FILLED, FILLED, CANCELED, and REJECTED. |

#### 6) Batch Cancel Orders <a href="#id-6-batch-cancel-orders" id="id-6-batch-cancel-orders"></a>

The batch must contain a maximum 10 orders

URL:[https://openapi.nomoex.com/sapi/v1/batchCancel](https://openapi.koinbay.com/sapi/v1/batchCancel)

Method: Post

Rate Limit: 50times/2s

Headers

| Particulars | Type    | Description  | Requirement |
| ----------- | ------- | ------------ | ----------- |
| X-CH-SIGN   | string  | Sign         | Optional    |
| X-CH-APIKEY | string  | Your API-key | Optional    |
| X-CH-TS     | integer | timestamp    | Optional    |

Body

| Particulars | Type   | Description                 | Requirement |
| ----------- | ------ | --------------------------- | ----------- |
| orderId     | array  | Order ID                    | Optional    |
| symbol      | string | Symbol Name. E.g. `BTCUSDT` | Optional    |

Success Response: 200: OK

Copy

```
{
    "success": [
        165964665990709251,
        165964665990709252,
        165964665990709253
    ],
    "failed": [ //cancel fails because the order does not exist or the order state has expired
        165964665990709250  
    ]
}
```

#### 7) Current Open Orders <a href="#id-7-current-open-orders" id="id-7-current-open-orders"></a>

URL: [https://openapi.nomoex.com/sapi/v1/openOrders](https://openapi.koinbay.com/sapi/v1/openOrders)

Method: Get

Rate Limit: 20times/2s

Parameters

Query:

| Particulars | Type    | Description                 | Requirement |
| ----------- | ------- | --------------------------- | ----------- |
| symbol      | string  | Symbol Name. E.g. `BTCUSDT` | Optional    |
| limit       | integer | Default 100; Max 1000       | Optional    |

Header

| Particulars | Type    | Description  | Requirement |
| ----------- | ------- | ------------ | ----------- |
| X-CH-SIGN   | string  | Sign         | Optional    |
| X-CH-APIKEY | string  | Your API-key | Optional    |
| X-CH-TS     | integer | timestamp    | Optional    |

Success Responses: 200:OK

Copy

```
[
    {
        'orderId': '499902955766523648', 
        'symbol': 'BHTUSDT', 
        'price': '0.01', 
        'origQty': '50', 
        'executedQty': '0', 
        'avgPrice': '0', 
        'status': 'NEW', 
        'type': 'LIMIT', 
        'side': 'BUY', 
        'time': '1574329076202'
        },...
]
```

| name          | type   | example            |                                                                                                        |
| ------------- | ------ | ------------------ | ------------------------------------------------------------------------------------------------------ |
| orderId       | long   | 150695552109032492 | ID of the order                                                                                        |
| clientOrderId | string | 213443             | Unique ID of the order.                                                                                |
| symbol        | string | BTCUSDT            | Name of the symbol                                                                                     |
| price         | float  | 4765.29            | Price of the order                                                                                     |
| origQty       | float  | 1.01               | Quantity ordered                                                                                       |
| executedQty   | float  | 1.01               | Quantity of orders that has been executed                                                              |
| avgPrice      | float  | 4754.24            | Average price of filled orders.                                                                        |
| type          | string | LIMIT              | The order typeLIMIT,MARKET                                                                             |
| side          | string | BUY                | The order side BUY,SELL                                                                                |
| status        | string | NEW                | The state of the order.Possible values include NEW, PARTIALLY\_FILLED, FILLED, CANCELED, and REJECTED. |

#### 8) Trades <a href="#id-8-trades" id="id-8-trades"></a>

URL: [https://openapi.nomoex.com/sapi/v1/myTrades](https://openapi.koinbay.com/sapi/v1/myTrades)

Method: Get

Rate Limit:20 times/2s

Parameters

Query

| Particulars | Type    | Description                 | Requirement |
| ----------- | ------- | --------------------------- | ----------- |
| symbol      | string  | Symbol Name. E.g. `BTCUSDT` | Optional    |
| limit       | integer | Default 100; Max 1000       | Optional    |
| fromId      | integer | Trade Id to fetch from      | Optional    |

Header

| Particulars | Type    | Description  | Requirement |
| ----------- | ------- | ------------ | ----------- |
| X-CH-SIGN   | string  | Sign         | Optional    |
| X-CH-APIKEY | string  | Your API-key | Optional    |
| X-CH-TS     | integer | timestamp    | Optional    |

Success Responses: 200: OK

Copy

```
[
  {
    "symbol": "ETHBTC",
    "id": 100211,
    "bidId": 150695552109032492,
    "askId": 150695552109032493,
    "price": "4.00000100",
    "qty": "12.00000000",
    "time": 1499865549590,
    "isBuyer": true,
    "isMaker": false,
    "feeCoin": "ETH",
    "fee":"0.001"
  },...
]
```

| name    | type    | example            |                           |
| ------- | ------- | ------------------ | ------------------------- |
| symbol  | string  | ETHBTC             | Symbol Name               |
| id      | integer | 28457              | Trade ID                  |
| bidId   | long    | 150695552109032492 | Bid Order ID              |
| askId   | long    | 150695552109032493 | Ask Order ID              |
| price   | integer | 4.01               | Price of the trade        |
| qty     | float   | 12                 | Quantiry of the trade     |
| time    | number  | 1499865549590      | timestamp of the trade    |
| isBuyer | bool    | true               | true= Buyer false= Seller |
| isMaker | bool    | false              | true=Maker false=Taker    |
| feeCoin | string  | ETH                | Trading fee coin          |
| fee     | number  | 0.001              | Trading fee               |

### Account <a href="#account" id="account"></a>

**Security Type: USER\_DATA​**

Endpoints under Account require an API-key and a signature.​

#### Account Information <a href="#account-information" id="account-information"></a>

URL: [https://openapi.nomoex.com/sapi/v1/account](https://openapi.koinbay.com/sapi/v1/account)

Method: Get

Rate Limit:20times/2s

Success Responses: 200:OK

Copy

```
{
    'balances': 
        [
            {
                'asset': 'BTC', 
                'free': '0', 
                'locked': '0'
                }, 
            {
                'asset': 'ETH', 
                'free': '0', 
                'locked': '0'
                },...
        ]
}
```

| name     | type | desciption           |
| -------- | ---- | -------------------- |
| balances | \[ ] | Show balance details |

Balances

| name   | type   | example |                                 |
| ------ | ------ | ------- | ------------------------------- |
| asset  | string | USDT    | Name of the asset               |
| free   | float  | 1000.30 | Amount available for use        |
| locked | float  | 400     | Amount locked (for open orders) |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://whitepaper.nomoex.com/api-documentation/spot.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
